List
curl --request GET \
--url https://developer.synq.io/api/domains/v2 \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/domains/v2"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/domains/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domains": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"parentId": "<string>",
"source": "SOURCE_SYNQ",
"definition": {
"parts": [
{
"dataproductId": "<string>",
"id": "<string>"
}
]
},
"etag": "<string>",
"createdBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"deletedAt": "2023-01-15T01:30:15.01Z"
}
],
"pageInfo": {
"totalCount": 123,
"count": 123,
"lastId": "<string>"
}
}synq.domains.v2.DomainsService
List
List the domains in the workspace, paginated. Narrow to one level of the
hierarchy with parent_id.
GET
/
api
/
domains
/
v2
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.
Maximum number of items to return in a single page. If not provided, defaults vary per API.
Required range:
x >= 0Restrict to the children of one domain. Pass an empty string to return only top-level domains. Omit to return every domain at any level.
Pattern:
^$|^(domain-)?[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Include soft-deleted domains.
Omit the membership definition from each domain.